/*
* =======================================================
*	Автор:    Sistemos.ru
*	Telegram: @Sistemos
*	E-mail:   sistemos-art@yandex.ru
*	Skype:    Sistemos
*	Год:      2017
* =======================================================
*/

$(document).ready(function(){
	
	hideLogsLink ();
	
	$("#button").click(function()
	{			
		
		$(this).attr("disabled", true);
		$(this).val("В процессе...");
		
		// обнуляю значения
		$('#progressbar').css('width', '0%');
		$('#kod_error').text(0);
		$('#kod_ok').text(0);
		$('#kod_chek').text(0);
		$('#kod_bit').text(0);
		
		var dt = [];
		
		dt.count = parseInt( $("#count_news").text() );
		dt.shag  = 100 / dt.count;
		dt.item  = 0;
		dt.num   = 0;		
		dt.timer;
		dt.koderror = 0;
		dt.kodchek  = 0;
		dt.kodok    = 0;
		dt.errors   = 0;
		
		startAjax (dt);		
				
	});	


	function setProgress(dt,json){
				
		dt.item += dt.shag;			
		dt.num++;
													
		$('#progressbar').css('width', dt.item + '%');
		$('#newscount').text(dt.num);	
		$('#progress').text('[' + Number((dt.item).toFixed(0)) + '%]');
		
		stataChek(dt,json);			
		
		if ( dt.num >= dt.count) 
		{
			finishProgress();   
		} 
		else 
		{				
			startAjax(dt);			
		}		
	}	
	

	function startAjax(dt)	
	{	
		$.ajax({
			type: "POST",
			url: "engine/ajax/trailer_update_ajax.php",
			data: "num=" + dt.num,
			beforeSend: function() {
				$('#preloader').show();
			},
			success: function(msg){
				setProgress( dt, JSON.parse(msg) );
			}
		});
	}				

	
	function finishProgress()
	{				
		$("#button").removeAttr('disabled');
		$("#button").val("Запустить");
		$('#preloader').hide();
		$('#newscount').css("color", "green");
		$("#finish-text").text("Финиш!");
		hideLogsLink ();
	}
	

	function stataChek(dt,json) 
	{
		if (json.koderror) {
			dt.koderror = parseInt( $('#kod_error').text() );
			dt.koderror++;
			$('#kod_error').text(dt.koderror);			
		}
		if (json.kodok) {
			dt.kodok = parseInt( $('#kod_ok').text() );
			dt.kodok++;
			$('#kod_ok').text(dt.kodok);			
		}
		if (json.kodchek) {
			dt.kodchek = parseInt( $('#kod_chek').text() );			
			dt.kodchek++;
			$('#kod_chek').text(dt.kodchek);			
		}
		if (json.kodbit) {
			dt.kodbit = parseInt( $('#kod_bit').text() );			
			dt.kodbit++;
			$('#kod_bit').text(dt.kodbit);			
		}
		if (json.errors) {
			var text_error;
			dt.errors = parseInt( $('#kod_errors').text() );
			if (json.errors[1]) {
				text_error = 'Error! DataBase: ' + json.errors[1];
				dt.errors ++;
				$('#kod_errors').text(dt.errors);
			}
			if (json.errors[2]) {
				text_error = 'Error! Trailer, post id: ' + json.errors[2];
				dt.errors ++;
				$('#kod_errors').text(dt.errors);				
			}
			//console.log(text_error);
		}
	}

	// view log errors 
	$("#log_errors_link").click(function()
	{			

	    if ($("#box-errors").is(":hidden")) {
			$("#box-errors").slideDown(400);
			$(this).text("Закрыть [X]");
	    } else {
			$("#box-errors").slideUp(400);
			$(this).text("Открыть");
	    }
					   
		$.ajax({
			type: "POST",
			url: "engine/ajax/trailer_update_ajax.php",
			data: "log=view",
			success: function(msg){
				$("#log-errors").html("");
				$("#log-errors").html(msg);
			}
		});		
		
	});
	
	
	// delete log errors 
	$("#log_errors_del").click(function()
	{
		$("#kod_errors").text(0);
		
		$.ajax({
			type: "POST",
			url: "engine/ajax/trailer_update_ajax.php",
			data: "log=del",
			success: function(msg){
				$("#log-errors").html("");
			}
		});		
	});	
	
	function hideLogsLink (){
		var countRows =	parseInt( $('#kod_errors').text() );
		if (countRows > 0) {
			$("#log_errors_link_hide").show();
		}			
	}
	
});