<?php
/**
 * =======================================================
 * Автор:    Sistemos.ru
 * Telegram: @Sistemos
 * E-mail:   sistemos-art@yandex.ru
 * Skype:    Sistemos
 * Год:      2017
 * =======================================================
 */
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', true);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', substr(dirname(__FILE__), 0, -12));
define('ENGINE_DIR', ROOT_DIR . '/engine');

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/data/trailer_update_options.php';
require_once ENGINE_DIR.'/inc/trailer_update/functions.php';

date_default_timezone_set ( $config['date_adjust'] );

if ($config['http_home_url'] == '') {
	$config['http_home_url'] = explode('engine/ajax/trailer_update_ajax.php', $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = 'http://' . $_SERVER['HTTP_HOST'] . $config['http_home_url'];
}

if (function_exists("dle_session")) dle_session();

//-------------------------------------------------------------------

// Если прилетел порядковый номер для получения новости из базы
if ( $_POST["num"] !== NULL ) {
	
    // привожу к числу
	$num = intval($_POST["num"]);
	
	// массив данных о статистике для возврата
	$result = array();
	
	// массив данных для одной новости
	$bd_mass_post = array();
	$bd_mass_post = bdSelectNum ($num, $TrailerUpOptions);
	
	// если данные получены
	if ($bd_mass_post) {
			
		// для удобства		
		$dop_trailer  = $TrailerUpOptions['dop_trailer'];
		$trailer_link = $bd_mass_post['xfields'][$dop_trailer];		
		$idpost       = $bd_mass_post['id'];
		
		// отработка для всех категорий
		$cat_chek = true;
		// если выбраны категории для проверки 
		if ($TrailerUpOptions['cat_chek']) {
			// если существуют категории для новости
			if ($bd_mass_post['category'])
				$cats_bd = explode(",", $bd_mass_post['category']);

			$cats_conf = explode(",", $TrailerUpOptions['cat_chek']);		
			// оставляет в массиве 1 только значения, которые есть во втором массиве
			$cats_chek = array_intersect ($cats_bd, $cats_conf);
			// если есть категория новости, которая совпадает с настройкой, то чекаю
			$cat_chek = ($cats_chek) ? true : false;
		}			
		
		
		/*******************************************************************
		*	Опция: Перезаписать (добавить) трейлеры ДЛЯ ВСЕХ новостей
		********************************************************************/		
		if ($TrailerUpOptions['rewrite'] > 0 AND $cat_chek){
			
			$result['kodchek']  = $idpost;    // перезапись		
		}
		/*******************************************************************
		*	Опция: Новости с битыми трейлерами и новости у которых нет трейлера
		********************************************************************/ 
		elseif ($TrailerUpOptions['rewrite_del'] > 0 AND $cat_chek){
			
			// получаю код из доп.поля, согласно настройкам, для проверки на битость
			$youtube_kod = youtubeId($TrailerUpOptions, $trailer_link);

			// если код получен, то проверяю на доступность видео
			if ( $youtube_kod ) {								
				if ( !videoChek($youtube_kod) ) { // если видео битое		
					$result['kodbit']  = $idpost; // битый (удаленный)					
					$result['kodchek'] = $idpost; // общая переменная id новости для проверки	
				} 
				else {				
					$result['kodok'] = $idpost;   // рабочий
					$chek_bit = true;             // для задержки
				}								
			} 
			// не найден код для ссылки, или доп.поле пустое (не удалось проверить на недоступность)
			else {				
				$result['koderror'] = $idpost;    // кривой или пустой	
				$result['kodchek'] = $idpost;     // общая переменная id новости для проверки
			}
			
		}
		/*******************************************************************
		*	Опция: Иначе новости с незаполненным трейлером (по-умолчанию)
		********************************************************************/		
		else {
			
			//Проверка на пустоту доп.поля для трейлера.
			if ( empty($trailer_link) || $trailer_link == null AND $cat_chek ){
				
				$result['koderror'] = $idpost;    // пустой
				$result['kodchek']  = $idpost;    // общая переменная id новости для проверки
			
			}
			else {				
			
				$result['kodok'] = $idpost;       // трейлер есть (оставляю без изменений, проверка на битость не требуется)
			
			}
		}
		
				
		/*******************************************************************
		*	Если получена новость для обновления трейлера 
		*	(в переменной $result['kodchek'])
		********************************************************************/
		if ($result['kodchek']) {
			
			//1. Сборка поисковой фразы
			$query_text = queryText ($TrailerUpOptions, $bd_mass_post);
			
			//2. Получение кода для ссылки видео с youtube
			$video_id = trailerSelectApi ($query_text, $TrailerUpOptions);
			
			//2.1 Если не удалось получить через API, то пробую выцепить напрямую
			if (!$video_id) 
				$video_id = trailerSelectBody ($query_text, $TrailerUpOptions);
		
			
			if ($video_id) {
				
				//3. Формирование url (или iframe, или video_id) для записи в доп.поле
				$video_to_base = videoToBase ($video_id, $TrailerUpOptions);			
			
				//4. Замена трейлера в массиве доп.полей.
				$bd_mass_post['xfields'][$dop_trailer] = $video_to_base;
				
				//5. Сборка строки доп.полей для записи в базу.
				$xfields = strXfields ($bd_mass_post['xfields']);		
				
				//6. Запись в базу.
				$db->query("UPDATE " . PREFIX . "_post SET xfields = '$xfields' WHERE id = {$idpost}");

				$result['kodgood'] = $idpost; // успешные записи в бд
			
			} else {
				// ошибка парсинга трейлера
				$result['errors'][2] = $idpost; 

				$result['koderror'] = '';       // обнуляю, для кол-ва удаленных
				$result['kodchek']  = '';       // обнуляю, для кол-ва проверенных	
				$result['kodbit']  = '';        // обнуляю, для кол-ва битых	
				
				// массив новостей, для которых неудалось спарсить трейлер
				$news_errors = array();	
				$news_errors['date']    = date('Y-m-d H:i:s');
				$news_errors['id']      = $idpost; 
				$news_errors['title']   = $bd_mass_post['title'];
				
				$news_errors_str = implode("|", $news_errors)."\n";
				file_put_contents(ENGINE_DIR.'/inc/trailer_update/cache/errors_news.log',  $news_errors_str, FILE_APPEND);
			}
			 
		}
		
		
		// задержка между запросами
		$speed = intval ($TrailerUpOptions['speed']);
		if ($speed < 1 || $speed > 5) $speed = 1;
		$speed = ceil(1000 / $speed);		
		
		if ($result['kodchek'] || $chek_bit)			
			usleep ($speed);
		else 			
			usleep (200);  // 0.20 сек., если обычные запросы к базе
				
	}		
	else {
		$result['errors'][1] = $num;
	}
	
	// возвращаю результат			
	echo json_encode($result);

}


// Если действие по логу ошибок
if ( !empty($_POST["log"]) ) {
	
	// если нужно открыть лог ошибок
	if ($_POST["log"] == 'view') {
					
		// полученные данные из log-файла в удобочитаемом виде
		echo setLog (); 
		
	}
	
	// если нужно очистить лог ошибок
	if ($_POST["log"] == 'del') {
		
		file_put_contents(ENGINE_DIR.'/inc/trailer_update/cache/errors_news.log',  "");
		
	}	
	
}