<?php
/**
 * Модуль   YouTube Trailers Update 
 * =======================================================
 * Версия:   1.2
 * =======================================================
 * Файл:     trailer_update.php
 * =======================================================
 * Автор:    Sistemos.ru
 * E-mail:   sistemos-art@yandex.ru
 * Telegram: @Sistemos
 * =======================================================
 */

if( !defined( 'DATALIFEENGINE' ) OR !defined( 'LOGGED_IN' ) ) die("Hacking attempt!");
include ENGINE_DIR.'/data/trailer_update_options.php';
include ENGINE_DIR.'/inc/trailer_update/functions.php';

// проверка на админа
if($member_id['user_group'] != 1) msg("error", $lang['index_denied'], $lang['index_denied']);	

// определяю таб, или задаю по-умолчанию 'home'
$tab = (!empty($_GET['tab'])) ? $_GET['tab'] : 'home';

// шапка
echoheader( '<i class="fa fa-refresh"></i> <span class="text-semibold">YouTube Trailers Update v.1.2 от 08.03.2018</span>', 'Автор: <b>Sistemos.ru</b> E-mail <b>sistemos-art@yandex.ru</b> Telegram: <b>@Sistemos</b>' );

// если главная вкладка
if ($tab == 'home') {
		
	$ids_news = array();
	
	if ( !empty($TrailerUpOptions['ids_news_test']) && $TrailerUpOptions['ids_news_test'] != null ) {		
		// если есть тестовые id в настройках, то получаю массив id из них		
		$ids_news['id'] = explode(",", $TrailerUpOptions['ids_news_test']);	
		$text_count = 'Выбрано новостей для теста:';
	} 
	elseif ($TrailerUpOptions['rewrite'] || $TrailerUpOptions['rewrite_del'] AND $TrailerUpOptions['cat_chek']) {
		// если требуется прочекать все новости из выбранных категорий
		$ids_news = bdSelectNoTrailers ($TrailerUpOptions);
		$text_count = 'Найдено новостей в выбранных категориях:';
		$text_cat = ', в выбранных категориях';
	}
	elseif (!$TrailerUpOptions['rewrite'] && !$TrailerUpOptions['rewrite_del']) {
		// если нужно проставить только недостающие трейлеры и не требуется чекать на битость
		$ids_news = bdSelectNoTrailers ($TrailerUpOptions);		
		if ($TrailerUpOptions['cat_chek']) $text_cat = ', в выбранных категориях';
		$text_count = 'Найдено новостей без трейлеров'.$text_cat.':';
	}	
	else {
		// данные из бд
		$ids_news = bdSelectId();
		$text_count = 'Всего новостей в базе сайта:';				
	}
	
	// записываю массив id, которые надо прочекать, в файл
	$ids_news_str = implode (",", $ids_news['id']);
	file_put_contents(ENGINE_DIR.'/inc/trailer_update/cache/ids_news_chek.log',  $ids_news_str);
	
	// кол-во новостей для проверки
	$n_news = count($ids_news['id']);
	
	// информация о текущих настройках
	if ($TrailerUpOptions['rewrite'] > 0)
		$text_setting = 'будут перезаписаны все трейлеры'.$text_cat.'.';
	
	elseif ($TrailerUpOptions['rewrite_del'] > 0)
		$text_setting = 'будут добавлены трейлеры к новостям у которых их нет и перезаписаны битые трейлеры.';
	
	else 
		$text_setting = 'будут добавлены трейлеры только к новостям у которых их нет'.$text_cat.'.';
	
	
	// получаю данные из log-файла (кол-во строк)
	$log_text = file_get_contents(ENGINE_DIR.'/inc/trailer_update/cache/errors_news.log');	
	if ($log_text != '') {
		$arr_br = explode("\n", $log_text); // разбиваю по переносам
		$n_rows_log = count ($arr_br) - 1;
	} 
	else 
		$n_rows_log = 0;

		
	// контент таба
	include ENGINE_DIR.'/inc/trailer_update/home.php';	
  
}




// если вкладка настроек
if ($tab == 'config') {	

	// при сохранении
	if( $action == 'save' ) {

		if( $_REQUEST['user_hash'] == '' or $_REQUEST['user_hash'] != $dle_login_hash ) 
			die( 'Hacking attempt! User not found' );
		
		// перезапись файла конфига
		rewriteConfig ($TrailerUpOptions);
		// очистка кэша
		clear_cache();
		// вывод сообщения
		msgGood ();		
		
	} else {			
				
		// контент таба
		include ENGINE_DIR.'/inc/trailer_update/config.php';	

		// если не удалось сохранить настройки
		if(!is_writable(ENGINE_DIR . '/data/trailer_update_options.php')) {
			$lang['stat_system'] = str_replace ("{file}", "engine/data/trailer_update_options.php", $lang['stat_system']);
			echo "<div class=\"alert alert-error\">{$lang['stat_system']}</div>";
		}

	}
}

echofooter();


?>